Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.interaction.navigation.page
Class ArticleElement

    java.lang.Object
      org.pdfclown.objects.PdfObjectWrapper<PdfDictionary>
          org.pdfclown.documents.interaction.navigation.page.ArticleElement

All Implemented Interfaces:
  Cloneable, IPdfObjectWrapper

    @PDF(value=PDF11)
    public class ArticleElement

extends PdfObjectWrapper<PdfDictionary>

Article bead [PDF:1.7:8.3.2].

Since:
  0.1.2
Version:
  0.1.2, 12/28/12
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Constructor Summary
`ArticleElement(Page page, Rectangle2D box)`

Method Summary
`boolean` | `delete()` Deletes this bead removing also its references on the page and its article thread.
`Article` | `getArticle()` Gets the thread article this bead belongs to.
`Rectangle2D` | `getBox()` Gets the location on the page in default user space units.
`ArticleElement` | `getNext()` Gets the next bead.
`Page` | `getPage()` Gets the location page.
`ArticleElement` | `getPrevious()` Gets the previous bead.
`boolean` | `isHead()` Gets whether this is the first bead in its thread.
`void` | `setBox(Rectangle2D value)`
`static ArticleElement` | `wrap(PdfDirectObject baseObject)`

Methods inherited from class org.pdfclown.objects.PdfObjectWrapper
`checkCompatibility, clone, equals, exists, getBaseDataObject, getBaseObject, getBaseObject, getContainer, getDataContainer, getDocument, getFile, getMetadata, retrieveName, retrieveNamedBaseObject, setBaseObject, setMetadata`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ArticleElement

    public ArticleElement(Page page,
                          Rectangle2D box)

Method Detail

### wrap

    public static ArticleElement wrap(PdfDirectObject baseObject)

### delete

    public boolean delete()

  Deletes this bead removing also its references on the page and its article thread.

  Overrides:
    `delete` in class `PdfObjectWrapper<PdfDictionary>`
  Returns:
    Whether the object was actually decontextualized (only indirect objects can be decontextualized).

### getArticle

    public Article getArticle()

  Gets the thread article this bead belongs to.

### getBox

    public Rectangle2D getBox()

  Gets the location on the page in default user space units.

### getNext

    public ArticleElement getNext()

  Gets the next bead.

### getPage

    public Page getPage()

  Gets the location page.

### getPrevious

    public ArticleElement getPrevious()

  Gets the previous bead.

### isHead

    public boolean isHead()

  Gets whether this is the first bead in its thread.

### setBox

    public void setBox(Rectangle2D value)

  See Also:
    `getBox()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.